BD3D2MK3D version history:

v0.1 to v0.29 (2012 & 2013):
- Old version using DirectShowMVCSource, ssifSource2 or 3 and eac3to
(See http://forum.doom9.org/showthread.php?p=1663794 for more info)

v0.30 (January 21, 2013)
- First version using DGMVCSource or FRIMSource instead of DirectShowMVCSource or ssifSource3.

v0.31 (January 25, 2013)
- Crash in 2-pass mode fixed.
- "Check Java installation" now shows clearly that the 32-bit version of Java is needed.

v0.32 (January 26, 2013)
- Wrong syntax of the DGMVCSource() command caused DGMVCDecode.dll to crash.
- New option in tab 3 to include or exclude the encoder (technical) tags.

v0.33 (January 26, 2013)
- The can't read "pass4" bug when parsing some BDs should be fixed.
- The warning about x264 level 5.0 or higher is now displayed only when necessary.

v0.34 (February 1, 2014)
- BD scan bug when eac3to's output includes the angle number is fixed.
- Due to bugs of tsMuxeR when demuxing the video streams of a multi-angle MPLS,
  the "SSIF+SSIF+..." syntax is now used in the tsMuxeR meta file for the video tracks.
- When the  "SSIF+SSIF+..." tsMuxeR syntax cannot be used due to too long file names,
  eac3to is used to demux the video tracks of multi-angle MPLS.
- Better formula to compute the bitrate from the file size in 2-pass or ABR mode.
- The conversion of the forced subtitles of streams without forced subtitles is now automatically skipped.
- Copy M2TS/SSIF List to Clipboard (available by right-clicking on an entry in tab 1) was broken.
- DGMVCSource is now the default again, instead of FRIMSource.

v0.35 (May 14, 2014)
- The subtitles are now converted to 3D using the depth information from the 3D-planes of the MVC stream.
- Added a tool to extract the 3D-planes from the MVC demuxed stream. Thanks Nico8583!
- Added a tool to convert subtitles to 3D using the individual depths from the 3D-plane.
- It is now possible to include both 2D and 3D versions of the subtitles in the final MKV file.
- Added a tool and an option to convert the DTS and WAV files to AC3
- Uses now mpls_dump.exe to list and filter the MPLS files when the BD is opened.
- Fix for the missing SSIF files when processing a BD folder created by MakeMKV.
- The program now remembers the last directory used when loading or saving the tags from tab 3.
- Updated MkvMerge and x264 to their latest versions.

v0.36 (June 1, 2014)
- It is now possible to mux the subtitles in BD SUP format instead of VobSub (IDX/SUB) format.
- Fix: Crash when trying to convert a subtitle stream to 3D with the 3D-plane "zerro" (sic).
- Fix: Tool -> Convert Chapter File was unable to load OGM chapter files demuxed by some versions of MkvExtract.

v0.37 (June 3, 2014)
- Added an alt 3D detection mode to try to open badly authored 3D BDs (without the SSIF folder).
- Now uses the new alt 3D detection mode when the SSIF folder contains only .SMAP files created by MakeMKV.
- The number of channels (stereo, 5.1, 7.1) is now added to the label of the audio streams in the MKV file.
- Fix: LPCM (WAV) audio tracks were not muxed in the final MKV file.
- Fix: LPCM (WAV) audio tracks were not converted to AC3 when the Convert to AC3 option was ticked.
- Updated the Intel MVC decoder library to the latest version (libmfxsw32.dll v5.14.4.28)

v0.38 (June 18, 2014)
- Added Tools -> Verify 3D-planes compatibility to show info about the undefined Depth values in the 3D-planes for a particular subtitle stream.
- Fix: Tools -> Convert Subtitles to 3D (with 3D-Plane) bug when verifying the output file extension.
- Fix: Added vcomp100.dll (from the ImageMagick package), needed on some systems to convert the subtitles to 3D.
- Added Tools -> MkvMerge GUI to open MMG.exe easily from BD3D2MK3D.
- Updated MkvMerge to the latest version (and added MMG.exe in the toolset folder)

v0.39 (June 22, 2014)
- New option to hardcode the PGS (BD SUP) subtitles to the video with SupTitle.
- Fix: Bug when converting subtitles with an original width of 1920 pixels to 3D.
- Added a warning when BDSup2Sub++ is selected in the Settings menu.
- Several little bugs fixed.

v0.40 (July 2, 2014)
- Fixed bug with java not being found and therefore the Use BDSup2Sub.jar option was disabled.

v0.41 (July 21, 2014)
- Tools -> Convert Subtitles to 3D (with 3D-plane) can now generate two full-size subtitle streams.
- It is now possible to include the subtitles in both VobSub (IDX/SUB) and BD SUP formats.
- Fix: The Abort button during the demux process did not work.

v0.42 (July 23, 2014)
- Bug introduced in v0.41: The subtitles that should be converted to Half-T&B were converted to Half-SBS.  Thanks Frank!

v0.43 (August 9, 2014)
- Added the possibility to encode in Full-SBS or Full-T&B (without 3D subtitle streams).
- Tools -> Chapters file converter: Added an option to save a QPFILE for x264 as well.
- Added a warning to not use tsMuxeR 3D v2.6.11 or v2.6.12 due to the big subtitle timecodes bug.
- Added more meaningful info in the labels of the streams for MkvMerge.
- Removed all references to the Haali media splitter DirectShow filter, not needed any more.
- Added the --disable-track-statistics-tags in the MkvMerge option files because the statistics are wrong and useless.
- Updated MkvMerge and MkvMerge GUI to the latest version (v7.1.0)

v0.44 (August 24, 2014)
- It is now possible to define all subtitles of a subtitle stream as forced in tab 2.
- Tools -> Convert subtitle to 3D (with 3D plane): New option "Force all subtitles as forced".
- When a subtitle stream is converted to 3D or to another format and the "forced" option is enabled, all subtitles will have the forced flag set automatically.
- When all captions of the BD subtitle stream are forced, the forced flag is now set in the _MUX_**_OPTIONS.txt files.
- Added the director and date tags (if provided) in the global movie title of the mux options files.
- Changed the charset of the Chapter files from ASCII to UTF-8 in the _MUX_*D_OPTIONS.txt files.
  You MUST save in UTF-8 format if you edit the chapter names and include special or accented characters.
- Added the marginFor3DSubs option in the BD3D2MK3D.cfg file to control the number of frames to skip at the beginning and end of each subtitle to compute its 3D depth.
- Fix: Bug when closing the output of MVCPlanes.exe when there is no 3D-plane in the MVC stream. (Thanks Gradius!)
- Minor cosmetic changes.
- Updated x264 to the latest version (v0.142.2453).

v0.45 (August 25, 2014)
- Fix: The formula to compute the depth value extracted from the 3D-Planes was wrong.  (Thanks Thalyn)

v0.46 (August 26, 2014)
- Fix: Bug introduced in v0.44: When demuxing a subtitle stream with forced captions only, all subtitles were demuxed.  (Thanks Frank)
- Removed the bell ringing sometimes at the end of the extraction of the 3D-planes from the MVC stream.

v0.47 (August 29, 2014)
- Added the information about the subtitle streams and their 3D-planes in the 3D-planes.log file.
- The 3D-Planes files are now saved as a ZIP attachments in the final MKV file.
- New Tool: Extract Attachments from MKV file. (Requires mkvextract.exe or the MKVToolnix package.)
- New Tool: Extract Unforced subtitles from XML/PNG. (Handy to hardcode the forced subs and keep the other ones in a muxed stream).
- Added "Check for update: in the Help menu
- Tool -> Convert Subtitle to 3D (with 3D plane) requests now the language name when converting a SUP file and the language code is not present in the file name.
- Added a "?" button in tab 2 to display help on the DTS conversion to AC3 and to check if the ArcSoft DTS Decoder is installed and working properly.

v0.48 (August 30, 2014)
- Fixed a bug in v0.47b1 with the new language selection dialog appearing beneath the other windows and impossible to use and close.

v0.49 (September 10, 2014)
- Fix: Changed the frame rate when converting the time codes of the subtitle files from 23.976 to 24 (drop frames timecodes).
- Fix for a tsMuxeR bug: The order of the audio and subtitle tracks is not always correct.  The order is now restored.
- Fix for a tsMuxeR bug: When the order of the subtitle streams is wrong, the 3D-plane numbers were assigned to the wrong streams!
- Added the number of changes of depth value in the stats about the 3D-planes data.
- Fix: Tool -> Convert subtitles to 3D (with 3D planes): It was impossible to convert only the forced subtitles when the input format was XML/PNG.
- Improved the detection of the language from the filename when processing a BD SUP file from the Tools menu.
- Tool -> Find dependent-view (MVC) file(s): Improved method to detect the M2TS of the MVC streams
- In tab 1, you can now copy the content of the two lists to the clipboard by right-clicking the listbox.
- Added the hidden option "debug" in the config file to run the program in debug mode.
- Added Debug -> 3D-plane debug info, to display the content of a 3D-plane file in human readable form.
- Added Debug -> Show tsMuxeR/eac3to's MPLS info, to show the unmodified output of tsMuxeR or eac3to for the current MPLS.

v0.50 (September 22, 2014)
- Converting subtitles to 3D full-SBS or full-T&B with 3D-planes was broken.  Thanks Marty!
- Minor bug fixed: The 3D-planes were not correctly checked in MPLS files bedinning by a multi-angle video file.
- The errors and warnings should now appear in red in the console.
- Fix: Tools -> Find dependent view MPLS Files was broken for multi-angle playlists.
- Updated MkvMerge and the MkvMerge GUI to the latest version (v7.2.0)

v0.51 (September 28, 2014)
- Bug: The AVS script was wrong in full-SBS or full-T&B and without subtitle to hardcode.

v0.52 (October 23, 2014)
- Modified the x264 encoding options: Profile has been removed.
- Level is now used also to limit the bitrate peaks and the decoding buffer size and is now minimum 4.0, as it should for 1080p.
- Added a help button next to the "Level" field to explain why it may be useful to use that option.
- Added the Settings -> MVC Decoder -> Hardware Acceleration menu to force the decoder to use the hardware or software acceleration.
- New Tool "Clone Subtitles positions from another file", useful to add another subtitle file to the final MKV.
- Fix: The forced 2D subtitle SUP stream was not included in the mux.  Thanks CRFOnly!
- Minor cosmetic changes.

v0.53 (October 23, 2014)
- Last minute bug fix: Problem when adding the 2D subtitle streams to the _MUX_*D_OPTIONS.txt files

v0.54 (October 28, 2014)
- Bug in 2-pass and ABR modes: the bitrate was forced to the maximum.
- Minor cosmetic changes

v0.55 (November 14, 2014)
- Added the Settings -> Output File Name menu, with the possibilities to replace the spaces with another character and to specify the extension.
- Added Tools -> Verify MKV File to verify if the specified file has been correctly muxed.
- When converting a subtitle stream to 3D, the Depth tag is added anyway in the temp 2D XML file, even if no 3D-plane has been provided.
- Bug fix: The Arcsoft DTS decoder was not used to convert DTS to AC3 during the main process, even when it is available.
- Minor cosmetic changes.

v0.56 (December 22, 2014)
- Added tab 4: Cover Art to define the images to mux and use as cover art and thumbnails.  (To view them under Windows, install Media Preview or Icaros.)
- Added Tool -> Add Current Cover Art to MKV File to add the cover art currently defined in tab 4 to any existing MKV file.
- Added Settings -> Output File Name -> Top & Bottom String to use TAB or TB instead of T&B in the file name.
- Added Settings -> Output File Name -> 3D Format Extension to add automatically the -lrq, -abq, -lr or -ab extension to the filename so that Bino, PotPlayer, KMPlayer... can recognize the 3D format automatically.
- Added Tools -> Remove subtitles present in another stream (to remove forced subs in a forced-only stream).
- Added Settings -> 3D Subtitles Resize Filter -> For Method Using ImageMagick (With 3D-Planes) to define the filter to use during the main process. (Default: Mitchell)
- Bug fix: Wrong .SUB instead of .SUP extension in _MUX_*D_OPTIONS.txt files when "both" (IDX/SUB and BD SUP) is selected in tab 2 (Thanks bottom!)
- Updated x264 to the latest version (v0.144.2525)
- Updated MkvMerge to the latest version (v7.0.4 'Circles')
- Added MkvPropEdit (v7.0.4 'Circles') in the Tools folder, necessary for the new Add Current Cover Art to MKV File tool.

v0.57 (February 1, 2015)
- Huge change: BD3D2MK3D uses now its own MPLS parser instead of TsMuxeR 3D.  Way faster and less bugs!
- Opening a BD3D is now very fast.
- Changes in the global label and the streams labels within the MKV container.
- A lot of minor changes.
- Better errors handling in case of damaged input files or ISO.
- Tool -> Convert Audio File to AC3: Added an option to speed up or slow down the audio to adapt it to another frame rate.
- Changed the extension of the subtitle files from .ogm to .txt.
- Added Settings -> Chapter Names -> Include chapter times (enabled by default)
- Added Settings -> Output file name  -> Do not add "1080p" (disabled by default)
- Added Settings -> Output file name  -> Do not add "SBS" or "T&B" (disabled by default)
- "3D" is now added in the output file name only if it is not present in the movie title or when Do not add "SBS" or "T&B" is not ticked
- When a XML subtitle file is created, the file is now patched with the correct frame rate (instead of the BDSup2Sub default 25 fps)
- Bug fix: The Add Current Cover Art to MKV File tool was unable to delete an existing cover art attachment before adding the new one
- Updated MkvMerge and MkvPropEdit to the latest version (v7.5.0 'Glass Culture')
- Updated Avs2yuv to the latest version (v 0.24bm3)

v0.58 (February 11, 2015)
- Convert Subtitles tools: Better detection of the language from the filename when converting a BD SUP stream.
- Workaround for a bug in some subtitle files that contain only full-width subpics, normally impossible to convert to 3D.
- Bug introduced in v0.57: The conversion of the subtitle streams was aborted without notice if the 3D-planes were missing.
- Bug introduced in v0.57: Some chapter times were wrong with some (rare) BDs, notably Dragon Gate 3D.
- Added the possibility to use Pistacho's MVCSource (only available if BDtoAVCHD is installed).  It works fine with Pacific Rim and Dragon Gate.
- Updated mkvmerge, mmg and mkvpropedit to the latest version (v7.6.0 'Garden of Dreams')

v0.59 (February 18, 2015)
- Bug fix: Removed the fix (introduced in v0.57) for the wrong frame rate written by BDSup2Sub in the XML files because it introduces major sync problems with the 3D subtitles.
- Bug fix: Some subtitle tracks were erroneously tagged as forced when the Forced option of at least one stream has been ticked in tab 2.
- Added the hidden option "full_ar_in_full_mode" in BD3D2MK3D.cfg to specify the 32:9 or 16:18 aspect ratios respectively for full-SBS or full-T&B in the _MUX_3D_OPTIONS.txt file

v0.60 (February 27, 2015)
- New versions of Neuron2's DGMVCSource.dll (v1.0.0.23) and Intel's libmfxsw32.dll (v6.14.11.28) included.  No more decoding bugs in Pacific Rim and Dragon Gate!
- Little bug in the Convert Subtitles to 3D Tool: The default output format was undefined when the "both" option is selected in tab 2.
- Added an explanation about the double 3D-depth values used internally by BD3D2MK3D in the 3D-planes.log file and in the Convert Subtitles to 3D Tool.
- Changed the link called by the help button for the x264 additional options in tab 5, because the old site is closed
- Added Settings -> Full-SBS/T&B Aspect Ratio option to select the aspect ratio to write in the MKV header when encoding in Full mode.
- Removed the "full_ar_in_full_mode" hidden option introduced in v0.59 because you can now select that option in the GUI.

v0.61 (March 1, 2015)
- Added the possibility to resize the final video to 720p (in tab 5).  The subtitles are also resized.
- Added Settings -> Open Console at Startup.
- The position of the console is now also saved in the config file (if it is open when the config is saved)
- Fix: The Preview of the "Move Cinemascope Image Up" option did not work without a DirectShow codec able to open MPLS files.  It's uses now the longest M2TS.
- Minor cosmetic changes
- Updated FRIMSource to the latest version (v2015-02-28, compatible with libmfxhw32.dll v6.14.11.28). Thanks Videofan3d!

v0.62 (March 14, 2015)
- Bug fix: The frame rate when retrieving the Depth values from the 3D-Planes was wrong.  (Thanks Frank!)
- Minor GUI changes in the Convert Subtitles to 3D tool, including a "?" button to explain how to use the frame rate option.
- Improvement: When "both" (VobSub and BD SUP) is ticked in tab 2, the conversion to 3D is now made only once.
- Added the possibility to resize to 720p with x264 instead of with Avisynth
- The default resize filter for 720p is now "Avisynth Bicubic", better and much faster than the old default Lanczos
- Replaced the dead web page for the x264 help (the [?] button next to the Additional Options field in last tab) with a new, up to date page.
- Updated eac3to.exe (and its associated DLLs) to the latest version (v3.28).
- Several improvements and little bug fixes.

v0.63 (March 27, 2015)
- Added support for encoding in HEVC with x265 (with some limitations due to x265.exe constraints).
- Added the Settings -> MKV Compatibility Options menu to mux with a better compatibility if your player has troubles.
- The SupTitle avisynth plugin is now the default instead of the VSFilter when BD3D2MK3D detects that .net v4 is available when it is run for the first time.
- Added the (commented out) code to hardcode a subtitle stream in the avisynth script even when that option is not used.
- Minor cosmetic changes
- Updated MkvMerge and MkvPropEdit to the latest version (v7.7.0)
- Updated eac3to to the latest version (v3.29)
- Updated x264 to the latest version (v0.146.2538)
- Added the latest build of x265 32 and 64-bit (build 2015-03-27)

v0.64 (April 29, 2015)
- Added support for Kodi/xbmc 3D extension strings in the output file name.
- Added an option to omit the director name in the output file name (for Kodi/xbmc).
- The BD SUP (PGS) subtitle file format is now the default (in tab 2)
- New analysis of the subtitles for a better palette when converting the subtitles to VobSub format (2D or 3D).
- Added the Settings -> VobSub Palette menu to select the palette analysis method.
- Added an option in Tools -> Convert Subtitles to 3D (with 3D-Planes) to select the palette analysis method.
- Added Tools -> Generate VobSub Palette from a BD SUP File
- Tools -> Open Subtitle in BDSup2Sub loads now also the palette.ini file of the same name if it exists.
- Updated MkvMerge and MkvPropEdit to the latest version (v7.8.0)
- Updated x265 to the latest build (2015-04-29).

v0.65 (May 2, 2015)
- Bug fix:  Error when converting the subtitles to 3D

v0.66 (May 24, 2015)
- Tools -> Chapters File Converter accepts now also the new Matroska XML file format as input.
- Added Tools -> Search chapters file at ChapterDB.org (Has chapter files with real chapter names)
- Added Tools -> Add (or replace) chapters in MKV file to easily add chapters to an exisating MKV/MK3D file.
- Tab 2: It is now possible to convert the audio streams to AAC.
- Tools -> Convert Audio File to AC3 can now also convert to AAC.
- Added Settings -> AAC Conversion Quality menu.
- The extensions of the demuxed HD and lossless DTS and AC3 audio tracks are now .dtshd, .dtshdma, .eac3 and .thd+ac3 instead of .dts and .ac3.
- When converting DTS to AC3 or AAC, for best quality, the DTS-HD or DTS-HD-Master tracks are now automaticaly demuxed instead of the DTS core.
- When muxing a E-AC3 stream with MkvMerge, -a 0 is now added in the _MUX_*D_OPTIONS.txt file, as otherwise the new version of MkvMerge muxes also the 5.1 AC3 core.
- The labels of the audio tracks contain now "5.1" or "7.1" instread of "Multi-channel".
- Added Tools -> Extract 5.1 core of HD/lossless audio file (for DTS-HD, DTS-HD-Master or TrueHD files)
- Bug fix: When muxing DTS-HD, DTS-HD-Master, E-AC3 or TrueHD, the label of the track was errenously DTS or AC3.
- Bug fix: Crash when converting forced subs only to 3D of a stream without any forced sub (introduced in v0.64)
- Workaround for a tsMuxeR bug happening when it tries to demux an empty audio stream.
- Minor cosmetic changes, including a more legible log.
- Updated the Mkvtoolnix exes to the latest version (v7.9.0 'Birds')
- As usual, updated x265 to the latest build.  (I will not announce these updates any more.)

v0.67 (July 16, 2015)
- Tools -> Chapters File Converter: New possibility to grab the chapter names from another chapter file.
- Tools -> Convert audio file to AC3 or AAC: It is now possible to convert the audio tracks directly from a MKV/MK3D/MKA file without demuxing them first.
- Added Tools -> Remove selected subtitles from XML/PNG.
- Workaround for another BDSup2Sub bug: Slightly modified method to generate the palette used when converting 2D SUP to 3D VobSub.
- Minor cosmetic changes.
- Updated MkvMerge, MkvPropEdit and MMG to the latest version (v8.1.0)

v0.68 (July 20, 2015)
- Added verification of the disc space before launching the demux process.
- Fix Tools -> Convert Audio: Cannot convert audio streams with spaces in the file name.
- Fixed bug when generating the VobSub palette of a subtitle stream with forced captions only.
- Updated MkvMerge and MkvPropEdit to the latest version (v8.2.0)
- Removed mmg.exe (MkvMerge GUI), now obsolete.  Install MkvToolnix if you need it.

v0.69 (July 30, 2015)
- Added the Frame Sequential 3D packing format (in addition to SBS and T&B).
- Added the possibility to convert the frame rate to 29.97 (or 59.94 in Frame Sequential).
- The program is not "not responding" any more when converting audio to AC3 or AAC.
- There is now a larger choice of bitrates when converting audio to AC3.
- Bug Tools -> Add Current Cover Art to MKV File: toolset\data\magic.mgc was missing.

v0.70 (August 12, 2015)
- Fix: Invalid Character error under foreign Windows systems in some specific languages.
- Workaround to skip malformed monochrome subtitles when converting them to 3D.
- New Settings -> Verify Input Subtitles option to enable or disable the (slow) workaround.
- New setting in Tools -> Convert Subtitles to 3D (with 3D-plane) to disable the workaround.
- New hidden settings in BD3D2MK3D.cfg to select either 29.97 or 59.94 or exactly 30 or 60 fps.
- Fix: Bug introduced in v0.69.  The program could hang when converting audio to AC3 or AAC.
- Fix: Little bug when trying to guess the language of a subtitle stream from its file name.
- BD3D2MK3D forces now eac3to to use the DcaDec DTS decoder (unless the "Libav" option is ticked in the GUI).
- Removed the support for the commercial Arcsoft DTS decoder.
- Removed the change change in v0.69 to avoid the not responding window when converting audio due to problems.
- Updated x264 to the latest version (v0.148 build 2579)

v0.71 (August 16, 2015)
- Fix: Error after having displayed the "not enough free disc space" warning at end of project creation.
- Workaround for RLE decoding errors wnen converting subtitle files to XML with BDSup2Sub.jar.
- Small cosmetic changes.

v0.72 (August 18, 2015)
- Fixed again the problem of illegal characters when retrieving the free disc space on foreign systems.
- Convert audio bug fix: The DcaDec DTS decoder was not used for all DTS, DTSMA or DTSHDMA streams.
- Updated MkvMerge and MkvPropEdit to the latest version (v8.3.0)

v0.73 (September 14, 2015)
- Added the possibility to re-encode the 2D version of the movie with _ENCODE_2D.cmd.
- Modified the file names of the scripts.  The main script to encode the 3D version is now __ENCODE_3D.cmd.
- The 3D-Planes are now extracted to the OFS format (compatible with Scenarist) instead of the old 3DP format without header, thanks to MVCPlanes2OFS.exe by Nico.  (The 3DP format can still be loaded by the subtitle tools.)
- Removed the obsolete tool "Convert Subtitles to 3D (fixed depth)" and its third party tool Suppe3D.exe.
- Added Tools -> Remove Cover Art from MKV File.
- You can now double-click a MPLS in tab 1 to preview it immediately.
- Removed Settings -> Verify Input Subtitles. That (slow) option should now be turned on automatically when necessary only.
- Fix: When an option was changed in the Settings menu, the "Add N seconds of black..." options in the last tab were saved also.
- Updated x264 to the latest version (v0.148.2597)  

v0.74 (September 24, 2015)
- Fix: Convert Subtitle to 3D: The 3D-Plane file was rejected because the file extension was not checked correctly.
- Fix: Clone Subtitle Positions: There was 3 illegal characters at the beginning of the output file when the input XML is in UTF-8 format.
- Small cosmetic changes.
- Updated MkvMerge.exe and MkvPropEdit.exe to the latest version (v8.4.0).

v0.75 (October 21, 2015)
- The x264 or x265 output is now saved in the file ENCODE_3D.log (or ENCODE_2D.log).
- Convert Subtitles to 3D: New option to search in other 3D-Planes when a subtitle has no defined depth in the specified 3D-Plane.
- Fix: The SAR (Sample Aspect Ratio) was not correct in the h264/h265 file when encoding in Full-SBS or Full-T&B.
- Fix: In some circumstances, the test for sufficient disc space was not made before beginning the demux operation.
- Fix: Chapter File Converter: Bug when retrieving the chapter names from another subtitle file.
- Fix: Crash when encoding with x265.
- Fix: Crash when generating the project files on a network share.
- Added a warning when trying to generate a project on a network share (without a mapped drive letter).
- Minor cosmetic changes.
- Updated MkvMerge and MkvPropEdit to the latest version (v8.5.0)
- Updated x264 to the latest build (v0.148.2638)

v0.76 (October 27, 2015)
- Added File -> Batch Encode (to chain several _ENCODE_*D.cmd files together and encode them all in a row)
- Fix: Error when processing a BD3D file structure created by MakeMKV on hard disc.

v0.77 (November 1, 2015)
- Added Tools -> Chapterizer (to add chapters to an existing MKV file)
- Added MkvInfo.exe (from the MkvToolnix package) in the toolset directory (necessary for the new Chapterizer).
- Added Settings -> AVC/HEVC Encoder -> Save (huge!) log of the encoder on disc (disabled by default)
- Workaround for a bug in the DcaDec DTS decoder.  When it fails due to a (wrong?) synchronisation error, the conversion to AC3 or AAC is restarted with the Libav decoder. 
- Fix: The wrong folder was opened in Explorer at the end of the Batch Encode procedure.
- Fix: Removed the requirement to have the 32-bit version of Java installed, since it appears that BDSup2Sub works well with the 64-bit version.

v0.78 (November 15, 2015)
- Due to problems with the DcaDec DTS decoder, the support for the ArcSoft DTS decoder has been added back.  (It has been removed in v0.70.)
- Added the Settings -> Preferred DTS Decoder menu to select the ArcSoft, DcaDec or LibAv DTS decoder.
- Small cosmetic changes
- Fix: The message displayed by the [?] button next to the Convert to AC3 or AAC option in tab 2 was truncated.
- Updated eac3to to the latest version (v3.31) - The DTS decoding problems with DcaDec should be fixed.
- Updated MkvMerge, MkvPropEdit and MkvInfo to the latest version (v8.5.2)
- Due to problems in the latest versions of the Intel MVC decoder, libmfxsw32.dll has NOT been and should not be updated, and is still v6.14.11.28 (28-11-2014).

v0.79 (December 12, 2015)
- When a stereo DTS or LPCM audio track is converted to AC3 (due to the option in tab 2), the bitrate is now 256 Kbps instead of 640.
- Tools -> Chapters File Converter: Added the possibility to grab the chapter names from the clipboard (one line per chapter)
- Two new batch files are now created, allowing you to launch the 3D or 2D encodings with low CPU priority.
- When the option to "exit and encode after successful demux" is ticked, the encoding is now launched with the low task priority.
- Fix: The character encoding was wrong in the *.cmd files, leading to problems when there were aforeign characters in the file or movie names.
- Fix: The Paste (Control-V) operation in the entry and combo widgets did not work correctly when a part of the existing string was selected.
- Fix: Error when converting subtitles to 3D with the option to search for valid depth values in other 3D-Planes and the OFS files are not in the source folder.
- Updated MkvMerge, MkvPropEdit and MkvInfo to the latest version (v8.6.1)

v0.80 (January 2, 2016)
- FRIMSource is now the default and recommended MVC decoder.  (That setting doesn't change for existing users.)
- Added the Settings -> Power Plans menu to easily avoid problems with the PC going to sleep or hibernate mode.
- Updated the MkvToolnix exes to the latest version (v8.7.0)

v0.81 (January 4, 2016)
- Due to huge bugs in MkvMerge v8.7.0, reverted the MkvToolnix exes to the previous version (8.6.1)

v0.82 (January 21, 2016)
- New option to select the authoring mode of the forced subtitles in tab 2, as an attempt to clarify the subtitles options.
- Added the "Edited by" tag in tab 3, and modified some desctiptions of the tags.
- Tools -> Clone Subtitle Positions: Added the possibility to process only the subtitles loacted in the upper half of the screen.
- Fix: Tools -> Convert Subtitle to 3D: Malformed XML after adding depth tags in some circumstances
- Updated the MkvToolnix exes to the latest version (v8.8.0) because the bugs in v8.7.0 have been fixed.

v0.83 (January 23, 2016)
- New option in tab 5 to define two different output folders: one for the project files, and one for the final MKV.
- Fix: Bug introduced in v0.82: Crash when parsing the languages of the MPLS without subtitles.

v0.84 (February 6, 2016)
- Added the arguments "--range tv --colormatrix bt709" in the x264 command line.
- Added Help -> Why no Crop option?
- Implemented the BlockSleep method to prevent the computer from going to sleep during an encoding.  Thanks Slavanap!
- Since BlockSleep will remain active as long as the command prompt window is open, the \"When encoding is finished\" option in tab 5 is now saved with the settings.
- Added 4 "From BD" buttons in tab 4 to get the cover art images from the metadata of the current BD.
- Since the black frames bug with DGMVCSource has been fixed, DGMVCSource is now the default MVC decoder again.
- Updated DGMVCDecode.dll to the latest version 1.0.0.24.  Thanks Donald!
- Updated the Intel library libmfxsw32.dll to the latest version 7.15.10.28 (from INDE 2016)

v0.85 (February 20, 2016)
- Added Search Wikipedia for Title and Search Google Images for Title in the Web menu of tab 3.
- Added the possibility to define a custom search engine for the Web menu of tab 3.
- Added Settings -> Chapters -> Include Dummy Chapter Near End of Movie to remove the last chapter at less than 5 seconds before the end of the movie.
- Added Help -> Version History to consult the BD3D2MK3D version history online.
- The tools menu has been split, with the subtitle tools in their own menu.
- Small cosmetic changes.
- It is now possible to encode the AVS script with any GUI thanks to the LoadHelper plugin.  Thanks Slavanap! 
- Bug introduced in v0.84: _ENCODE_2D_LAUNCHER.cmd launched __ENCODE_3D.cmd instead of the 2D version.
- Little bug: The palette analysis was skipped when converting XML/PNG subtitles not generated with BDSup2Sub to VobSub.
- Changed the web address to download x265 (because Snowfag doesn't compile 32-bit versions any more).
- Updated x264 to v0.148.2665 and x265 to v1.9+3

v0.86 (March 19, 2016)
- Added the subtitle tool Convert SRT to ASS 3D (still in beta)
- The SAR (Sample Aspect Ratio in the h264 stream) is now 1:1 for all 3D modes (Full and Half).
- When a subtitle is hardcoded, it is now also present but commented out in __MUX_3D_OPTIONS.txt
- Fix: Wrong label of video stream when using x265 to encode the 3D version.
- Updated MkvToolnix exes to the latest version (v8.9.0)

v0.87 (April 4, 2016)
- New possibility to open an interleaved 3D MKV file created by MakeMKV as input.
- Fix: The MKV compatibility option --engage no_simpleblocks was misspelled no_simpleblock
- Since MkvExtract is needed to retrieve the attachment from the 3D MKV input file, it is now included in the toolset.
- Updated the MkvToolnix exes to the latest version (v9.0.1)

v0.87.1 (April 4, 2016)
- Bug fix: Impossible to save the settings due to missing ::config(initialmkvdir)

v0.88 (April 16, 2016)
- When the option to convert the audio streams to AAC is selected in tab 2, all audio tracks are now converted, instead of only the DTS and LPCM tracks.
- The extension .dtshdma for the demuxed DTS-HD-MA tracks was wrong.  It is now .dtsma as it should for eac3to.
- The option to keep only the core of HD audio tracks in tab 2 is now removed when a 3D-MKV created by MakeMKV is the source.
- It is not possible any more to use the bad and useless E-AC3 (DD+) audio tracks created by MakeMKV (with only 4 channels)
- The labels of the DTS-HD/MA audio tracks in the final MKV show now the number of channels for the HD and the core (like 7.1/5.1)
- The labels of the audio tracks converted to AAC show now also the Quality value that has been used to do the conversion.
- Small cosmetic changes.
- Bug fix in Convert SRT to ASS 3D: The first subtitle was sometimes missing when the input file is encoded in UTF-8/16.
- Bug fix in Convert SRT to ASS 3D: The 2-lines subtitles were not properly converted as one long line with \N.
- Bug fix: Some tools crached when trying to open a file or folder if no BD or MKV was loaded first.
- Updated x264 to the latest version (0.148.2692)

v0.89 (April 23, 2016)
- BD3D2MK3D does not trust any more the views order written by MakeMKV v1.9.10 due to its bug.
- Modified some dialogs to explain that MakeMKV v1.9.11 should be OK.

v0.90 (June 8, 2016)
- Added the possibility to select the colour depth (8, 10 or 12-bit) of the final video in the last tab.
- Added 2 procedures in the context menu of the MPLS list in tab 1 to sort the playlists by MPLS or by M2TS/SSIF number(s)
- Added 4 procedures in the context menu of the MPLS list in tab 1 to easily remove the MPLS that do not contain the movie. (Useful mainly for protected BDs.)
- Added the URL to download the x265 builds by LigH in Help -> x265 version.  (Thanks LoRd_MuldeR!) 
- Bug fixed again in Convert SRT to ASS 3D: The first subtitle was sometimes missing when the input file is encoded in UTF-8/16.
- Bug fixed in Convert SRT to ASS 3D: The vertical positions of the subtitles was wrong when using a guide file.
- Updated MkvToolnix executables to the latest version (v9.2.0)
- Due to the new colour depth option, the file names of the x264 and x265 executables in the toolset folder have changed.

v0.91 (June 21, 2016)
- Added the option Full-SBS/T&B aspect ratio -> Use SAR 1:1 for all modes to go back to the SAR 2:1 or 1:2 for Full-SBS and T&B.
- Added an option in the last tab to save the final MKV in the source folder (available only in 3D MKV input mode)
- Workaround for a tsMuxeR bug when opening a 3D-MVC MKV file with dots in the file name.
- Fix: Help -> x264 Version and Help -> x265 Version were broken in v0.90.
- Updated the x265 binaries to the latest version (v1.9+200)

v0.92 (June 22, 2016)
- Fix: Bug introduced in v0.91: videooutputbasename not properly initialised

v0.93 (July 19, 2016)
- Improved the functions available with the context menu in the Actors (and characters) field of tab 3.
- Modified the Help message about the DTS decoder, because ArcSoft is not the best choice any more.
- Fix: The encoding should not crash any more when the subtitles to hardcode on the video cannot be generated.
- Updated the MkvToolnix exes to the latest version (v9.3.1 "Mask Machine")
- Updated the x264 exes to the latest version (v0.148.2705)
- Updated the x265 exes to the latest version (v2.0+2)

v0.94 (September 17, 2016)
- Fix: BDSup2Sub crash when the language code of the stream to convert is "und" or "un" (undefined).
- Fix: Subtitles not converted to 3D when the language code is not known by BDSup2Sub.
- Fix: The wrong error messages about renaming subtitle files in the BD3D2MK3D log have been removed.
- Fix: Workaround for a bug in ImageMagick when converting an image from sRGB JPEG to PNG.
- Updated the MkvToolnix exes to the latest version (v9.4.2)
- Updated the x265 exes to the latest versions (2.0+55 or 2.0+54)

v0.95 (November 20, 2016)
- Added File -> Explore 2D Content of 3DBD to display and preview the 2D MPLS files of the current BD
- SRT to ASS 3D: Fixed: The subtitle of the right view in Half-SBS was sometimes off by 1 pixel
- SRT to ASS 3D: Changed the SecondaryColor from yellow &H0380F0F0 to pure black &H00000000
- SRT to ASS 3D: Changed the font style name "Default" to "3D"
- Updated the Mkvtoolnix exes to the latest version (v9.5.0)
- Updated the x264 exes to the latest version (0.148.2721)
- Updated the x265 exes to the latest version (2.1+36)

v0.96 (November 22, 2016)
- The playlists without audio are not displayed in the GUI any more (unless the "Show all 3D playlists" option is ticked)
- Added the option Generate 3D Subtitles Anyway to force BD3D2MK3D to generate Half-SBS/T&B subtitles even in Full-SBS/T&B format
- Added two context menus in the new Explore 2D Content window
- Fix: Bug when comparing playlists to remove duplicates if a 3D playlist has no 3D-Planes

v0.97 (January 8, 2017)
- Minor cosmetic changes
- Fix: The bitrate in the labels of the stereo audio tracks was wrong
- Updated DGMVCSource to the latest version (v1.0.0 b25)
- Updated the Mkvtoolnix exes to the latest version (v9.6.1)
- Updated the x264 exes to the latest version (v0.148.2744)
- Updated the x265 exes to the latest version (v2.2+22)

v0.98 (January 10, 2017)
- Bug introduced in v0.97: DGMVCSource crashed due to its new syntax of the hw/mode parameter

v0.99 (February 28, 2017)
- Bug fix: The filter of the MPLS files to show crashed when comparing the number of 3D-Planes of two MPLS if one of them has no 3D-Plane.
- Added Settings -> MVC Decoder -> Hardware acceleration -> Online list of Intel CPUs supporting QuickSync (hardware acceleration for MVC decoding)
- Improved the paste operations (Control-V) in tab 3: Title & tags, when there are several lines in the clipboard.
- The BD3D2MK3D.log file is now included as an attachment in the final MKV file.
- Tools -> Chapters File Converter can now also load basic files with one timecode per line (tsMuxeR format)
- Updated the Mkvtoolnix exes to the latest version (v9.9.0)
- Updated the x265 exes to the latest version (v2.3+7 or v2.3+9)

v0.100 (March 3, 2017)
- Bug introduced in v0.99: Error when pasting in some fields of the Title & Tags tab.

v1.0 (April 19, 2017)
- The 2D Playlists window is now closed when the main job starts
- Fixed the bug when pasting in Actors field of the Title & Tags tab: An additional \n was added
- Small improvements in the Title & Tags tab.
- Bug in Chapters file converter: The decimal part of the time code was sometimes wrong when converting from a Matroska XML chapter file.  Thanks Frank!
- Updated ImageMagick's convert.exe to the latest version (v7.0.5-4)
- Updated the Mkvtoolnix exes to the latest version (v10.0.0)
- Updated libdcadec.dll (part of eac3to) to the latest version (v0.2.0)
- Updated the x265 exes to the latest version (v2.3+32)

v1.1 (July 13, 2017)
- Added Cinavia detection by right-clicking on an audio track in tab 2.  See also the Help -> Cinavia Detection menu.
- Tools -> Convert Audio: Added the possibility to specify a positive or negative gain.
- Convert SRT to ASS 3D: Added the percentage of the margin height in the analysis of the guide file (useful for SubtitleEdit)
- Added Help -> BDSup2Sub (Java) Version.
- Fix: The list of MPLS files of the Preview M2TS menu was sometimes wrong for multi-angle movies
- Fix: Some typos.
- Updated the MkvToolnix exes to the latest version (v13.0.0)
- Updated x264 to the latest version (v0.152.2851)
- Updated x265 to the latest version (v2.4+36)
- Updated the Intel Media SDK (libmfxsw32.dll) to the latest version (v7.17.4.21, 2017)
- FRIMSource v1.27 has NOT been updated yet, due to a possible bug.  See the BD3D2MK3D and FRIM threads at Doom9 for more info.

v1.2 (October 7, 2017)
- Updated FRIMSource to the latest version (v1.27).  It should work correctly.  Let me know if you experience crashes.
- FRIMSource is now the default MVC decoder.
- Removed the LoadHelper() trick and added the full paths in the LoadPlugin() commands for compatibility with some Avisynth forks.
- Added tab 3 -> Web -> Search TCM for title.
- Adapted to the new distribution of x265 as a single exe file instead of the previous 3 exes (one for each color depth).
- Fix: Workaround for the wrong character encoding of the AVS and CMD scripts.
- Fix: The path to java.exe was not correctly detected in some circumstances.
- Fix: Some typos.
- Updated x265 to the latest version (v2.5+8)
- Updated the Mkvtoolnix exes to the latest version (v16.0.0)

v1.3 (November 23, 2017)
- Added the possibility to convert the audio streams to Dolby Pro-Logic II or to Stereo (in addition to AC3 and AAC).
- Subtitle Tools -> Convert SRT to ASS 3D (SRTtoASS3D.tcl) updated to v0.5, with some improvements and a possible bug fixed (see https://forum.doom9.org/showthread.php?p=1823942#post1823942)
- The warnings about Full SBS/T&B, x265, 10 or 12-bit color depth etc... are not displayed any more when the program starts.
- Changed the download link for x264 and x265 to VideoHelp.
- Updated the mkvtoolnix exes to the latest version (v18.0.0)
- Restored x265 to the latest stable version (v2.5+5)

v1.4 (November 25, 2017)
- Fix: Crash when creating a project from a MKV (due to changes in the output of MkvInfo v18.0)

v1.5 (January 15, 2018)
- BD3D2MK3D uses now an "universal" method to convert the subtitles to 3D or DVD SUB, that should hopefully work well in all cases.  As a consequence, it is not possible any more to select the preferred version of BDSup2Sub, as the Java or C++ version is used automatically when approipriate.
- New Subtitle tool: Combine Multiple PDS/ODS definitions, used to merge the multiple subtitles (and used internally by the new universal conversion method).  See help for more info.
- When a 2D BD Sup subtitle file is muxed in the final MKV, the original Sup extracted from the BD is now used instead of the converted .2D.sup file, to avoid the bugs of BDSup2Sub.
- The audio conversion and the logic used to build the labels of the audio tracks in the final MKV have been rewritten completely and improved. This fixes several bugs introduced with the conversion to Pro-Logic and Stereo in v1.3.
- Updated eac3to and its associated libraries to the latest version (v3.34)
- Updated the Mkvtoolnix exes to the latest version (v19.0.0)
Removed in the final release compiled January 15 2018 at 19:06 GMT.  The last good version (v2.6.9) is distributed again.
- Updated tsMuxeR to the latest version (v2.6.11)

v1.6 (January 25, 2018)
- Added the possibility to move the subtitles only along the X or Y axis only in Subtitle Tools -> Clone Subtitle Positions
- Added a warning in the dialog explaining the various ways to decrypt a commercial 3DBD about the MakeMKV bug with forced subtitles streams extracted from some BDs (notably Avatar 3D)
- Improved the way the Java installation is detected and the message in case of improper installation (due to frequent problems caused by the Java installer!)
- Fix: Wrong palette colors for the conversion of the subtitles to DVD SUB (Bug introduced in v1.5)
- The MKVToolnix exes have NOT been updated to the latest version (v20) as the new version is not compatible with BD3D2MK3D any more!

v1.7 (April 24, 2018)
- Adapted the format of the _MUX_*_OPTIONS files to the new JSON input format necessary for MkvMerge v21+.
- Adapted the way the informations are retrieved from the input MKV due to the new JSON output of MkvInfo v21+.
- Bug introduced in v1.5: The complete 2D subtitle stream was muxed instead of the forced-only stream.
- Fix for new tool Combine two XMP/PNG Streams Together: The values in the <Description> section of the XML were sometimes wrong
- Added the option "Attach some project files as doc" to enable or disable the attachments in the final MKV.
- Added Tools -> Check an audio file for Cinavia  (Requires CinDe.exe. See the Help menu.)
- Updated the MkvToolnix exes to the latest version (v22).  ATTENTION: BD3D2MK3D REQUIRES now MkvMerge v21 or greater!
- Updated x264 to the latest version (v0.155.2901).  x264 is now the same exe for 8 and 10-bit colour depth encoding.
- Updated x265 to the latest version (2.7+3)

v1.8 (October 25, 2018)
- Changed the (wrong) link to BDSup2Sub++ in Info -> BDSup2Sub++ Version.
- Added the layout parameter to the FRIMSource avisynth syntax, to possibly fix some random crashes of the decoder.
- Fixed Avisynth version in Help -> About, from 1.5 to 1.6
- Attempt to fix a bug with free disc space wrongly reported as 0 KB.
- Updated x264 to the latest version (0.157.2935)
- Updated x265 to the latest version (2.9+2)
- Updated the MkvToolnix exes to the latest version (28.1.0)

v1.9 (May 5, 2019)
- Workaround for the libDcaDec error when converting audio from DTS-HD/MA due to a change in numbers of channels. (Fix for Incredibles 2)
- When available, the alias of the Power Plans set before and restored after the encoding is now used instead of the GUID.  Thanks Frank!
- Little bugs fixed
- Updated the FRIMSource MVC decoder to the bugfix version 1.29_20190406.  Thanks konikpolny!
- Updated x264 to the latest version (0.157.2969)
- Updated x265 to the latest version (3.0_Au+18)
- Updated Mkvtoolnix to the latest version (33.1.0 'Primrose')

v1.10 (August 7, 2019)
- Fix: It was not possible to reply to the dialog appearing after a tsMuxeR demux error if the error message was too long.
- Fix: When the x264 settings in tab 5 were set to encode in 2-pass or ABR, and the encoding was made with x265 in CRF or CQ mode, the "bitrate" variable was not initialized, causing a crash.
- Fix: SRT to ASS 3D conversion: bad X placement when converting the subtitles to 3D with the margins option
- SRT to ASS 3D conversion: Added the possibility to provide a fixed Y placement when using a guide (optionally only for the subtitles in the lower half of the screen)
- Updated x264 to the latest version (0.158.2984)
- Updated x265 to the latest stable version (3.1.2+1)
- Updated Mkvtoolnix to the latest version (35.0.0 'All The Love In The World')

v1.11 (August 28, 2019)
- Fix: Hopefully definitively fixed the bug of the uninitialized bitrate variable
- Updated BDSup2Sub++.exe to the latest version (1.0.3) and modified the link to the BDSup2Sub++ home in the Help menu
- Updated the Mkvtoolnix exes to the latest version (37.0.0 'Leave It')

v1.12beta2 (September 5, 2019)
- Support for AviSynth+ 32 and 64-bit.  It is strongly recommended to install AviSynth+ 64-bit !
- Added the 64-bit version of the AviSynth filters necessary for the conversion to 3D (in toolset\plugins64bit)
- Replaced the old VSFilter 32-bit avisynth plugin with the new and much faster version from the xy-VSFilter Project
- DGMVCSource is now the default MVC decoder again because its 64-bit version is faster than FRIMSource
- Replaced Avs2YUV 0.24 (32-bit) with Avs2YUV 0.24bm2, and added Avs2YUV 64-bit 0.24bm2 (necessary to use AviSynth+ 64-bit with x265 64-bit)
- The Avisynth version is now detected with AVSVersion32/64.exe (Thanks tebasuna51!) and the Help -> Avisynth Version menu has been redesigned.

v1.12 (September 11, 2019)
- Changed the URL to the AviSynth+ download location to https://github.com/pinterf/AviSynthPlus/releases

v1.13 (September 16, 2019)
- Added the possibility to encode the 3D movie with any encoder by providing yourself the command line to use.

v1.14 (September 29, 2019)
- Fixed the bug introduced in v1.12: The AVS script was generated for AviSynth 64-bit when no 64-bit version of AviSynth was installed.

v1.15 (October 6, 2019)
- Important bug introduced in v1.12 fixed: The option of the Settings -> AVC/HEVC Encoder to encode in HEVC with x265 did not change the encoder.
- Renamed the __CUSTOM_* files generated when the user has defined a custom encoding command to _CUSTOM_* (with only a single leading "_") so that they appear in the directory after the regular files to encode with x264 or x265.

v1.16 (October 21, 2019)
- Workaround for a crash of AVSVersion**.exe when Avisynth is not properly installed that prevented BD3D2MK3D to start.
- Added Subtitle Tools -> Move XML/PNG Subtitles Vertically, to allow you to easily move your subtitles in the black bar of a Cinemascope movie or align them with another subtitle stream.

v1.17 (October 23, 2019)
- Fixed the bug of the audio delays not taken into account when using a MKV file make with MkvMerge as input.
- Added some definitions specific to UHD BD so that the option to show the 2D content the BD works with an UHD BD.
- Updated x265 to the latest stable version (v3.2+5)
- Updated Mkvtoolnix to the latest version (v38.0.0 'The Silent Type')

v1.18 (December 24, 2019)
- Added Subtitle Tools -> Crop Transparent XML/PNG Background to remove the useless invisible parts of a XML/PNG subtitle stream.  This may be necessary fo convert full-width subtitles to 3D.
- The --alpha-crop 0 argument has been added to all BDSup2Sub command lines so that it will not crop the transparent background of the XML/PNG streams any more, except when necessary.
- The Verify 3D-planes Compatibility subtitle tool has been improved to include a global score indicating roughly the compatibility of each 3D-Plane with the analysed subtitle stream.
- The presence of all required files in the toolset folder is now verified at startup, as some antivirus software may quarantine some exe files due to false positive.
- Fix: eac3to crash when an AC3+ audio stream is converted to stereo.
- Workaround for a possible bug when checking for M$ .NET v4 on some systems.
- Little bug fixed: The _POSTPROCESS_2D.cmd file was not executed after a 2D encoding due to a typo in the filename.
- Updated x264 to the latest version (v0.159.2991)
- Updated mkvtoolnix to the latest version (v41.0.0 "Samarra")
- Updated the Intel library libmfxsw32.dll to version 8.18.6.8
- DGMVCDecode is now withdrawn and has been removed.  It was useless anyway, and baby is happy.

v1.19 (January 1, 2020)
- The home of BD3D2MK3D has changed and is now http://download.videohelp.com/r0lZ/BD3D2AVS/index.html
- The support thread at Doom9 is now https://forum.doom9.org/showthread.php?t=177317
- There is a new support thread at VideoHelp here: https://forum.videohelp.com/threads/395498-BD3D2MK3D-Convert-3D-BDs-or-MKV-to-3D-SBS-TAB-or-FS-MKV-Support-thread

v1.20 (November 3, 2020)
- Compiled and wrapped with freewrap 6.73, using Tcl/Tk 8.6.10.
- Adapted to the new Open Source version of tsMuxeR.  Most (all?) demux bugs have been fixed, and it is no longer necessary to demux the angles with many M2TS with eac3to.
- IMPORTANT: The syntax of the custom command has slightly changed.  Now, the backslach character \ in Windows paths MUST be typed twice, to avoid escaping problems.
- Workaround for a BDSup2Sub++ bug when loading some full-width subtitles: the X position is -2147483648 instead of 0!
- Fix: Java was not detected correctly when the installed version was not Oracle Java.  It is now possible and recommended to install the open source AdoptOpenJDK instead of Oracle Java.
- Fix: Preview and Do It! buttons were disabled when the BD shows no 3D-playlist after opening it, but some playlists become available when the "Show all 3D playlists" is selected.
- Tools -> TsMuxer GUI opens now automatically the currently selected MPLS (if any)
- In case of error when checking if Avisynth+ is properly installed, the error message suggests now to install the version with the vcredist package.
- Removed the Power Plans stuff when BD3D2MK3D doesn't run under Windows (so that it doesn't crash under Linux with Wine)
- Removed Tab 3 -> Web -> Search TCM for Title, because the TCM site is now unusable
- Updated the FrimSource MVC decoder to the latest version (v1.31)
- Updated x264 to the latest version (v0.161.3027)
- Updated x265 to the latest version (v3.4+26)
- Updated the MkvToolnix tools to the latest version (v51.0.0 'I Wish')

- Note: Avisynth+ v3.5.1 has been released: https://github.com/AviSynth/AviSynthPlus/releases/tag/v3.5.1 (You may need to install the vcredist variant.)

v1.21 (December 5, 2020)
- Fix: Clone Subtitles Positions did not clone the Y position if the X position was not changed. (Thx Ennio!)

v1.22 (January 2, 2021)
- Added an option to use the even/odd lines for the left and right views to encode in Half-T&B mode for a LG 3DTV, while retaining the full 1080p resolution. (Thx Muf!)
- Updated x265 to the latest version (v3.4+35)
